MIT Announcements

General news and announcements

Page: 1 2 3 4 5 6 ()
DiscussionStarted byRepliesLast post
Applications are now open for the 2018 MIT Student Council! Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 26 Feb 2018, 10:37 AM
LACE events in March - Get Involved! Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 26 Feb 2018, 10:36 AM
MUPC/DIPLOMA Orientation Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 23 Feb 2018, 3:57 PM
Register for the Vodafone City Challenge! Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 21 Feb 2018, 12:30 PM
MIT Student Ambassador Program - Applications closing soon for 2018! Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 20 Feb 2018, 2:14 PM
Study Perth Airport Greeter Event Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 20 Feb 2018, 10:00 AM
MIT Activities - Get Involved! Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 16 Feb 2018, 11:20 AM
Diploma Student Writing Workshop March 12th and 19th 2018. Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Fri, 16 Feb 2018, 11:09 AM
New MUPC/DIPLOMA students - Orientation Workshops Week 1 Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 15 Feb 2018, 12:47 PM
MIT Workshops - Trimester 1 2018 Weeks 1 - 5 Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 15 Feb 2018, 10:48 AM
LACE 2018! Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 14 Feb 2018, 8:37 AM
Happy Lunar New Year! Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 9 Feb 2018, 9:28 AM
MIT Ambassador Program 2018 Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 8 Feb 2018, 3:31 PM
MIT Trimester 3 Honour Roll - Congratulations & Well Done! Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 5 Feb 2018, 12:41 PM
Trimester 3 Results to be released 2nd February 2018 Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Thu, 1 Feb 2018, 4:30 PM
Timetable for Returning Students - Trimester 1 2018 Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 31 Jan 2018, 4:06 PM
2018 AIRPORT WELCOME DESK - SEEKING MORE VOLUNTEERS Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 29 Jan 2018, 2:01 PM
Fraudulent Behavior - Be Aware! Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 25 Jan 2018, 12:22 PM
Australian Beach Safety Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 25 Jan 2018, 8:27 AM
Australia Day Public Holiday - MIT Closed Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 23 Jan 2018, 11:59 AM
Sale of Secondhand Books Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 23 Jan 2018, 11:28 AM
Young Professionals Event Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 17 Jan 2018, 4:05 PM
Young Professionals Network WA Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 12 Jan 2018, 9:55 AM
Good Luck with Exams! Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 12 Jan 2018, 9:20 AM
ONLINE FRAUD Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 12 Jan 2018, 8:59 AM
MIT Domestic (Australian) Students - Applying for Murdoch University - Semester 1 2018 Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 10 Jan 2018, 9:51 AM
MU Library re-opens today Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 4 Jan 2018, 8:36 AM
Returning Students to MIT Trimester 1 2018 Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 2 Jan 2018, 2:59 PM
Supervised Study Weeks 11 - 13 Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Fri, 15 Dec 2017, 2:01 PM
Registration T1 2018 Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Tue, 12 Dec 2017, 3:46 PM
T3 2017 Exam Timetable Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Fri, 8 Dec 2017, 3:46 PM
Lunchtime Workshop Cancelled - Friday 8th December 2017 Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 7 Dec 2017, 4:02 PM
MIT Finishers Week 2017 Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 6 Dec 2017, 2:13 PM
MIT Workshops - Trimester 3 2017- Weeks 9 - 10 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 1 Dec 2017, 9:25 AM
MIT Workshops - Trimester 3 2017- Weeks 8 - 10 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 24 Nov 2017, 12:07 PM
ELICOS Excursion South Beach Fremantle Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 22 Nov 2017, 1:18 PM
MIT Workshops - Trimester 3 2017- Weeks 7 - 10 Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 20 Nov 2017, 12:48 PM
Basketball & BBQ! Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 20 Nov 2017, 12:41 PM
SLSC Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Fri, 10 Nov 2017, 3:05 PM
MIT Workshops - Trimester 3 2017- Weeks 6 - 10 - 12:30 p.m. - 1:30 p.m. Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 10 Nov 2017, 12:13 PM
Study hard & make it to class! Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 10 Nov 2017, 12:10 PM
Christmas Close down 2017/2018 Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 8 Nov 2017, 11:44 AM
Academic Integrity Tips for Students Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Tue, 31 Oct 2017, 3:29 PM
LACE & Murdoch Village International Food Festival! Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 31 Oct 2017, 10:12 AM
Access to OpenAthens for MIT Students Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 31 Oct 2017, 9:19 AM
Welcome New MIT Student Council Members Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 30 Oct 2017, 11:55 AM
MIT Staff & Students - Honour Roll Luncheon Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 27 Oct 2017, 10:15 AM
MIT Workshops - Trimester 3 2017- Weeks 4 - 5 - 12:30 p.m. - 1:30 p.m. in EH 3.084 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 27 Oct 2017, 9:37 AM
Social Mixer Success! Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 26 Oct 2017, 4:04 PM
Trimester 3 Orientation Photos Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 26 Oct 2017, 10:21 AM
Honour Roll Luncheon Friday 20th October 2017 Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 24 Oct 2017, 11:40 AM
MIT Student Social Mixer - Wednesday 12:30 p.m. – 2:00 p.m. at the MU Village Pool Room Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 23 Oct 2017, 2:33 PM
MIT Photo Competition!! Get involved Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 16 Oct 2017, 3:03 PM
Open House Perth 2017 Volunteer Opportunities Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 13 Oct 2017, 8:51 AM
Swan Festival of Lights - Deepavali Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 11 Oct 2017, 1:16 PM
Week 3 MIT Student Social Mixer Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 10 Oct 2017, 2:25 PM
MIT Workshops - Trimester 3 2017- Weeks 1 - 5 at the normal time 12:30 p.m. - 1:30 p.m. in EH 3.084 Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 10 Oct 2017, 10:13 AM
MIT Trimester 2 Honour Roll - Congratulations & Well Done! Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 10 Oct 2017, 8:48 AM
LACE World Games Day! Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 9 Oct 2017, 2:50 PM
Sale of Secondhand Books Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 5 Oct 2017, 4:07 PM
November Young Professionals Murdoch Networking and Speaking Event. Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 29 Sep 2017, 2:12 PM
Trimester 2 Results to be released 29th September 2017 Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Thu, 28 Sep 2017, 1:35 PM
Upcoming Murdoch International Student Association Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 27 Sep 2017, 9:00 AM
Public Holiday - Queens Birthday WA - Monday 25th September 2017 Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 19 Sep 2017, 12:34 PM
LACE Multicultural Day Competition Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 18 Sep 2017, 8:58 AM
Congratulations students! End of EAP 1 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 8 Sep 2017, 2:13 PM
End of EAP - Urban Street Art Competition Winners! Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 8 Sep 2017, 2:07 PM
Peel Young Professionals Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 5 Sep 2017, 2:27 PM
LACE Friends’ Café September 15th 10am -11am - Sharing Culture Through Food Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 4 Sep 2017, 4:23 PM
Registration for Trimester 3, 2017 - Continuing Students MUPC/DIPLOMA Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 4 Sep 2017, 2:16 PM
Orientation for Trimester 3, 2017 Students from EAP going to MUPC/DIPLOMA Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 30 Aug 2017, 10:54 AM
MIT Workshops - Trimester 2 2017- Weeks 12 - 13 at the normal time 12:30 p.m. - 1:30 p.m. in EH 3.084 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 25 Aug 2017, 4:10 PM
MIT Office Hours Change Picture of Tanya Wheatley Tanya Wheatley 0 Tanya Wheatley
Fri, 25 Aug 2017, 3:29 PM
Aussie Rules Football Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 23 Aug 2017, 11:33 AM
MIT Workshop - Tuesday 22nd August - Self Study Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 21 Aug 2017, 4:22 PM
MIT Workshops - Trimester 2 - 2017- Weeks 11 - 13 Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 21 Aug 2017, 12:29 PM
Volunteer Opportunities for MIT Students Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 21 Aug 2017, 10:31 AM
Sexual Health Workshop Picture of Tanya Wheatley Tanya Wheatley 0 Tanya Wheatley
Fri, 18 Aug 2017, 3:09 PM
Trimester 2 Exam Timetable Picture of Jill Kadota Jill Kadota 0 Jill Kadota
Thu, 17 Aug 2017, 2:49 PM
Veterinary Science Transfer Information Session Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 11 Aug 2017, 12:54 PM
Student Council Flea Market Success! Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 10 Aug 2017, 3:53 PM
Supervised Study - Student/Teacher Consultations Picture of Richard Jones Richard Jones 0 Richard Jones
Wed, 9 Aug 2017, 9:42 AM
2017 Perth Reclink Community Cup - Fremantle Oval Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 8 Aug 2017, 1:58 PM
Murdoch University Open Day Success Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 4 Aug 2017, 9:16 AM
Rockingham Kwinana Chamber of Commerce - Young Professionals Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 28 Jul 2017, 11:02 AM
LACE Events July & August 2017 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 21 Jul 2017, 11:24 AM
MIT Workshops - Trimester 2 2017- Weeks 7 - 10 - 12:30 p.m. - 1:30 p.m - EH 3.084. Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 21 Jul 2017, 10:19 AM
Congratulations Syin Yu "SY" Choong - P Maddern Trophy and Under 19 Australian Championships Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 21 Jul 2017, 9:56 AM
Murdoch University Open Day - Sunday 30th July 2017 - 9:00 a.m. - 3:00 p.m. Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 18 Jul 2017, 8:55 AM
MIT Workshops - Trimester 2 2017- Weeks 6 - 10 12:30 p.m. - 1:30 p.m.in EH 3.084 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 14 Jul 2017, 11:59 AM
MIT Student Council Flea Market - Clothes Collection Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 14 Jul 2017, 8:48 AM
Paintball Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 13 Jul 2017, 3:31 PM
FREE Meningococcal Vaccine for MIT Students Picture of Richard Jones Richard Jones 0 Richard Jones
Thu, 13 Jul 2017, 11:34 AM
ELICOS Excursion to Kings Park Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 7 Jul 2017, 12:01 PM
MIT Workshops - Trimester 2 2017- Weeks 1 - 5 - EH 3.084 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 7 Jul 2017, 11:51 AM
MIT Student Social Mixer Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 7 Jul 2017, 10:37 AM
Student Success - Honour Roll Luncheon Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 4 Jul 2017, 9:26 AM
EAP 2 Excursion to Fremantle Picture of Richard Jones Richard Jones 0 Richard Jones
Mon, 3 Jul 2017, 12:46 PM
MIT Workshops - Trimester 2 2017- Weeks 1 - 5 Picture of Richard Jones Richard Jones 0 Richard Jones
Fri, 30 Jun 2017, 2:52 PM
MIT Social Mixer - Wednesday 5th July 2017 Picture of Richard Jones Richard Jones 0 Richard Jones
Tue, 27 Jun 2017, 3:16 PM
Page: 1 2 3 4 5 6 ()